Subject: Re: Aliases no longer defined?
From: Peter Davis <[email-masked]>
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Mon, 31 Mar 2003 20:25:51 -0500

On Mon, 31 Mar 2003 18:24:50 -0500 (EST)
Igor Pechtchanski <[email-masked]> wrote:

> On Mon, 31 Mar 2003, Peter Davis wrote:
> 
> > I recently switched from Windows NT4 and Windows 2000 to Windows XP.  I
> > installed cygwin freshly on both systems.  Now I'm noticing that on both
> > systems, .bashrc seems to be completely ignored.  I haven't changed this
> > file at all, but suddenly the aliases I define and export are not
> > defined when I try to type them at the shell prompt.
> 
> > If I do
> 
> >         source ~/.bashrc
> 
> > it works without error, but the aliases are *still* not defined.  I
> > noticed by running 'cygcheck -s' that the new systems seem to have DLL
> > build 1.3.22 (3/18/2003), while the older ones were running build 1.3.20
> > (2/18/2003).  However, nothing else has changed.  This used to work, but
> > now doesn't.
> 
> > Any clues?
> 
> Two questions: is bash invoked with a --login option, 

Checking cygwin.bat, it appears that it is.  I thought this file was
created with some default settings.  Has that changed recently?

> and is ~/.bashrc
> readable by the user you invoke bash as?

Seems to be.  I can 'less' it.

>  If bash is invoked with --login,
> the file executed is .bash_profile, not .bashrc.  I solve this by making
> .bash_profile a symlink to .bashrc.

Ok.  Makes sense.  But shouldn't explicitly source'ing the .bashrc
file get this to work?

> P.S. On an unrelated note, the use of shell functions is recommended over
> the use of aliases.

Thanks.  I basically only run bash long enough to get mutt started.  I
should learn more about it.  I'm more familiar with tcsh, but I
haven't figured out why that takes forever to start on my system.
Something in my legacy .tchsrc file, no doubt.

Thanks!

-pd

-- 
--------
                             Peter Davis
               Funny stuff at http://www.pfdstudio.com
    List of resources for children's writers and illustrators at:
                  http://www.pfdstudio.com/cwrl.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/